Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - openzwave-git

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: openzwave-git r1238.b258e9e-2

Git Clone URL: https://aur-dev.archlinux.org/openzwave-git.git (read-only)
Package Base: openzwave-git
Description: Opensource Z-Wave control
Upstream URL: http://www.openzwave.com
Keywords: domoticz git openzwave
Licenses: LGPL
Conflicts: openzwave, openzwave-svn
Provides: openzwave
Submitter: melvinvermeeren
Maintainer: melvinvermeeren (IanDury)
Last Packager: IanDury
Votes: 5
Popularity: 0.001714
First Submitted: 2015-05-21 08:05
Last Updated: 2016-02-18 15:04

Latest Comments

DonOregano commented on 2016-10-05 09:44

The config files get installed under /etc/openzwave-git instead of /etc/openzwave, which causes some confusion.

melvinvermeeren commented on 2016-06-07 19:16

@simonsd

doxygen is already in makedepends

as for the rest:
https://wiki.archlinux.org/index.php/Arch_User_Repository#Prerequisites

simonsd commented on 2016-06-07 14:57

missing makedepends:
- fakeroot
- pkgconfig
- gcc
- make
- binutils
- doxygen

IanDury commented on 2016-03-12 15:35

Perhaps your package got corrupted. Try a cleanbuild (makepkg -C -i)

nwcatalyst commented on 2016-03-11 18:28

I'm receiving an error when installing. I do not see any build errors. Using GoFlexHome Arch Arm. I also cannot deduce the issue from research - appreciate any help here. Thanks.

:: Processing package changes...
(1/1) installing openzwave-git [####################################################] 100%
error: could not extract /usr/share/doc/openzwave-1.4.78/api/html/SwitchToggleMultilevel_8cpp__incl.png (Lzma library error: No progress is possible)
error: problem occurred while installing openzwave-git
error: could not commit transaction
error: failed to commit transaction (transaction aborted)
Errors occurred, no packages were upgraded.

melvinvermeeren commented on 2015-10-30 19:20

@IanDury Sure, feel free to add me as co-maintainer.

I'm pretty sure it's an upstream bug. The makefile probably doesn't handle vers.cpp properly. I updated the build() to delete it if the file is found. This seems to resolve the issue. Not sure if this is the "proper" way, but it's the only thing I can think of right now.

Thanks for the report. :)

IanDury commented on 2015-10-30 18:28

@melvinvermeeren Ok, fine with me. Can I add you as co-maintainer of domoticz-git?

I noticed that incremental builds do not update the version number. It appears that ./src/open-zwave/cpp/src/vers.cpp does not get re-created if it already exists. If you start Domoticz you will still see the old version of openzwave in the Domoticz log in such a case. Is this an upstream bug or only in this AUR package?

melvinvermeeren commented on 2015-10-30 13:17

@Landrash done!
Also bumped version to r1238.b258e9e and added IanDury, maintainer of domoticz-git, as co-maintainer.

Landrash commented on 2015-10-30 10:03

Suggest adding "armv6h" to the arch list. Compiled on rPi with swapfile and seems to work fine.